package com.steerinfo.ems.emswebsocketlog.service.impl;

import com.steerinfo.ems.emswebsocketlog.mapper.EmsWebsocketLogMapper;
import com.steerinfo.ems.emswebsocketlog.model.EmsWebsocketLog;
import com.steerinfo.ems.emswebsocketlog.service.IEmsWebsocketLogService;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * EmsWebsocketLog服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-15 03:24
 * 类描述
 * 修订历史：
 * 日期：2021-10-15
 * 作者：generator
 * 参考：
 * 描述：EmsWebsocketLog服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "emsWebsocketLogService")
public class EmsWebsocketLogServiceImpl extends BaseServiceImpl<EmsWebsocketLog, String> implements IEmsWebsocketLogService {

    @Autowired
    private EmsWebsocketLogMapper emsWebsocketLogMapper;

    @Override
    protected IBaseMapper<EmsWebsocketLog, String> getMapper() {
        return emsWebsocketLogMapper;
    }
}
